<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import axios from "axios";
import { api } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
//@ts-ignore
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
import "vue-slick-carousel/dist/vue-slick-carousel-theme.css";
@Component({
  components: {
    VueSlickCarousel,
  },
})
export default class DomainComponent extends Vue {
  settings = {
    focusOnSelect: false,
    infinite: true,
    speed: 500,
    slidesToShow: 1,
    slidesToScroll: 1,
    // touchThreshold: 4,
    autoplay: true,
    arrows: false,
    dots: true,
  };

  page = 1;

  beforeDestroy() {
    this.$store.commit("setting/setHeaderHomePage", false);
  }

  convertImage(imageUrl: string) {
    return `${api}/${imageUrl}`;
  }

  get bannerId() {
    return this.$store.state?.setting?.settingHomePage?.bannerId || [];
  }

  get setting() {
    return this.$store.state?.setting?.settingHomePage || {};
  }

  get listStore() {
    return this.$store.state?.setting?.settingHomePage?.listStore || [];
  }

  listStoreView = [];
  totalPage = 1;
  head() {
    return {
      title:
        this.$store.state.setting.siteInfo &&
        this.$store.state.setting.siteInfo.webTitle,
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${this.$store?.state?.setting?.logo || "/logous.png"}`,
        },
      ],
    };
  }
  created() {
    this.onSliceListStore(1);
  }

  onSliceListStore(value: number) {
    const start = (value - 1) * 8;
    const end = value * 8;
    this.listStoreView = this.listStore.slice(start, end);
    this.totalPage = Math.ceil(this.listStore.length / 8);
  }

  parseLink(store: any) {
    return `https://${store.domain}`;
  }

  @Watch("page")
  onChangedPage(value: number) {
    this.onSliceListStore(value);
  }
}
</script>

<style lang="scss">
.border-card-homepage {
  background-color: #fff;
  border: 1px solid #eaecf0;
  border-radius: 8px;
}

#banner-homepage .slick-slide {
  padding: 0px !important;
}

.title-product {
  font-size: 14px;
  font-weight: 400;
  line-height: 32px;
}

.price-product {
  font-size: 23px;
  font-weight: 700;
}

// * {
//   font-family: BlinkMacSystemFont, -apple-system, Segoe UI, Roboto, Oxygen,
//     Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, Helvetica, Arial,
//     sans-serif;
// }
</style>
